Subject: Re: Need an older gcc version on my cygwin due to poor performance on gcc-3.x series.
From: "Gerrit P. Haase" <[email-masked]>
To: Ole Jacob Hagen <[email-masked]>
Cc: [email-masked]
Date: Sun, 31 Oct 2004 10:49:23 +0100

Ole Jacob Hagen wrote:

> Hi,
> 
> I've compiled Octave-2.1.60 with gcc-3.3.3 successfully, but the 
> performance is pretty bad with gcc-3.3.3.

Install the ccache package and try
  export CC='ccache gcc'
  export CXX='ccache g++'

If you have a second PC you may also speedup builds with distcc.

> The performance should of Octave is much better, when compiling it with 
> gcc-3.2.x instead.
> 
> The reason might be that the memory allocator on gnu stdc++ has changed 
> to one which is several times slower,
> and therefore gives horrible performance on gcc-3.3 and gcc-3.4.
> 
> Therefore it would be nice to have gcc-3.2.2-3 to my cygwin.
> 
> So where can I find gcc-3.2.2-3 to my cygwin?
> 
> The setup version of my cygwin is 2.427, and I believe my cygwin version 
> is one of the latest.

The previous release was 3.3.1, current is 3.3.3 and there is a test
release of 3.4.1, no older releases available.  You may try to find an
outdated mirror, though these older versions aren't supported any
longer.  It would make more sense to identify the problem and do s.th.
about it to resolve this issue then.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/